Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ifs.example.jobshop
Class Machine

    java.lang.Object
      ifs.model.Constraint
          ifs.example.jobshop.Machine

    public class Machine

extends Constraint

Machine constraint.
Each machine contians a given set of operations (variables). A machine constraint is satisfied, if all operations on it do not overlap in time.

Version:
  1.0
Author:
  Tomáš Müller

Constructor Summary
`Machine(int machineNumber)` Constructor

Method Summary
`void` | `computeConflicts(Value value, Set conflicts)` Adds conflicting operations into the set of conflicts.
`int` | `getMachineNumber()` Get machine number
`String` | `getName()` Name of the machine (e.g.
`boolean` | `inConflict(Value value)` True if there is an operation from the machine which violates with the given assignment.
`boolean` | `isConsistent(Value value1, Value value2)` True if the two assignments (placement of opeartions of the machine in time) violates each other.
`String` | `toString()` string representation -- for debuging and printing purposes

Methods inherited from class ifs.model.Constraint
`addConstraintListener, addVariable, assigned, assignedVariables, countAssignedVariables, countVariables, getDescription, getId, getInfo, getModel, hashCode, isHard, removeConstraintListener, removeVariable, setModel, unassigned, variables`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Machine

    public Machine(int machineNumber)

  Constructor

  Parameters:
    `machineNumber` - machine number

Method Detail

### getMachineNumber

    public int getMachineNumber()

  Get machine number

### computeConflicts

    public void computeConflicts(Value value,
                                 Set conflicts)

  Adds conflicting operations into the set of conflicts.

  Specified by:
    `computeConflicts` in class `Constraint`
  Parameters:
    `value` - value to be assigned to its varaible
    `conflicts` - resultant set of conflicting values

### inConflict

    public boolean inConflict(Value value)

  True if there is an operation from the machine which violates with the given assignment.

  Overrides:
    `inConflict` in class `Constraint`

### isConsistent

    public boolean isConsistent(Value value1,
                                Value value2)

  True if the two assignments (placement of opeartions of the machine in time) violates each other.

  Overrides:
    `isConsistent` in class `Constraint`

### toString

    public String toString()

  string representation -- for debuging and printing purposes

  Overrides:
    `toString` in class `Object`

### getName

    public String getName()

  Name of the machine (e.g. M10 where 10 is the machine number)

  Overrides:
    `getName` in class `Constraint`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Tomáš Müller